Loading...
Searching...
No Matches
Http_authentication_info

## Data Structures

struct | http_authentication_info_s
| Structure for Authentication-Info header. More...

## Macros

#define | HTTP_AUTHENTICATION_INFO_INIT()
| Initializer for structure http_authentication_info_t.
#define | HTTPTAG_AUTHENTICATION_INFO(x)
| Tag list item for pointer to a Authentication-Info header object.
#define | HTTPTAG_AUTHENTICATION_INFO_STR(s)
| Tag list item for string with Authentication-Info header value.

## Enumerations

enum | { http_authentication_info_hash }

## Functions

http_authentication_info_t * | http_authentication_info_init (http_authentication_info_t x[1])
| Initialize a structure http_authentication_info_t.
int | http_is_authentication_info (http_header_t const *header)
| Test if header object is instance of http_authentication_info_t.
http_authentication_info_t * | http_authentication_info_dup (su_home_t *home, http_authentication_info_t const *hdr))
| Duplicate (deep copy) `http_authentication_info_t`.
http_authentication_info_t * | http_authentication_info_copy (su_home_t *home, http_authentication_info_t const *hdr))
| Copy a http_authentication_info_t header structure.
http_authentication_info_t * | http_authentication_info_make (su_home_t *home, char const *s))
| Make a header structure http_authentication_info_t.
http_authentication_info_t * | http_authentication_info_format (su_home_t *home, char const *fmt,...)))
| Make a Authentication-Info header from formatting result.

## Variables

msg_hclass_t | http_authentication_info_class []
| Header class for HTTP Authentication-Info header.
msg_parse_f | http_authentication_info_d
| Decode (parse) a Authentication-Info header.
msg_print_f | http_authentication_info_e
| Encode (print) a Authentication-Info header.

## Detailed Description

## Macro Definition Documentation

## HTTP_AUTHENTICATION_INFO_INIT

#define HTTP_AUTHENTICATION_INFO_INIT | ( |  | ) |

Initializer for structure http_authentication_info_t.

A static http_authentication_info_t structure must be initialized with the HTTP_AUTHENTICATION_INFO_INIT() macro. For instance,

http_authentication_info_t http_authentication_info = HTTP_AUTHENTICATION_INFO_INIT;
HTTP_AUTHENTICATION_INFO_INIT
#define HTTP_AUTHENTICATION_INFO_INIT()
Initializer for structure http_authentication_info_t.
Definition http_protos.h:2092

## HTTPTAG_AUTHENTICATION_INFO

#define HTTPTAG_AUTHENTICATION_INFO | ( |  | x | ) |

Tag list item for pointer to a Authentication-Info header object.

The HTTPTAG_AUTHENTICATION_INFO() macro is used to include a tag item with a pointer to a http_authentication_info_t object in a tag list.

Parameters

  x | pointer to a http_authentication_info_t header structure, or NULL.

## HTTPTAG_AUTHENTICATION_INFO_STR

#define HTTPTAG_AUTHENTICATION_INFO_STR | ( |  | s | ) |

Tag list item for string with Authentication-Info header value.

The HTTPTAG_AUTHENTICATION_INFO_STR() macro is used to include a tag item with a string containing value of a http_authentication_info_t header in a tag list.

Parameters

  s | pointer to a string containing http_authentication_info_t value, or NULL.

The HTTPTAG_AUTHENTICATION_INFO_STR string can be converted to a http_authentication_info_t header structure by giving the string s has second argument to function http_authentication_info_make().

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_authentication_info_hash | Hash of Authentication-Info header.

## Function Documentation

## http_authentication_info_copy()

http_authentication_info_t * http_authentication_info_copy | ( | su_home_t * | home,
|  | http_authentication_info_t const * | hdr )

inline

Copy a http_authentication_info_t header structure.

The function http_authentication_info_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  authentication_info = http_authentication_info_copy(home, http->http_authentication_info);
  http_authentication_info_copy
  http_authentication_info_t * http_authentication_info_copy(su_home_t *home, http_authentication_info_t const *hdr))
  Copy a http_authentication_info_t header structure.
  Definition http_protos.h:2286

Returns
  The function http_authentication_info_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_authentication_info_dup()

http_authentication_info_t * http_authentication_info_dup | ( | su_home_t * | home,
|  | http_authentication_info_t const * | hdr )

inline

Duplicate (deep copy) `http_authentication_info_t`.

The function http_authentication_info_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  authentication_info = http_authentication_info_dup(home, http->http_authentication_info);
  http_authentication_info_dup
  http_authentication_info_t * http_authentication_info_dup(su_home_t *home, http_authentication_info_t const *hdr))
  Duplicate (deep copy) http_authentication_info_t.
  Definition http_protos.h:2279

Returns
  The function http_authentication_info_dup() returns a pointer to the newly duplicated http_authentication_info_t header structure, or NULL upon an error.

## http_authentication_info_format()

http_authentication_info_t * http_authentication_info_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Authentication-Info header from formatting result.

The function http_authentication_info_format() makes a new Authentication-Info header object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_authentication_info_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_authentication_info_init()

http_authentication_info_t * http_authentication_info_init | ( | http_authentication_info_t | x[1] | ) |

inline

Initialize a structure http_authentication_info_t.

An http_authentication_info_t structure can be initialized with the http_authentication_info_init() function/macro. For instance,

http_authentication_info_t http_authentication_info;
http_authentication_info_init(&http_authentication_info);
http_authentication_info_init
http_authentication_info_t * http_authentication_info_init(http_authentication_info_t x[1])
Initialize a structure http_authentication_info_t.
Definition http_protos.h:2108

## http_authentication_info_make()

http_authentication_info_t * http_authentication_info_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_authentication_info_t.

The function http_authentication_info_make() makes a new http_authentication_info_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_authentication_info_make() returns a pointer to newly maked http_authentication_info_t header structure, or NULL upon an error.

## http_is_authentication_info()

int http_is_authentication_info | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_authentication_info_t.

The function http_is_authentication_info() returns true (nonzero) if the header class is an instance of Authentication-Info header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xauthentication_info() returns true (nonzero) if the header object is an instance of header authentication_info and false (zero) otherwise.

## Variable Documentation

## http_authentication_info_class

msg_hclass_t http_authentication_info_class[]

extern

Header class for HTTP Authentication-Info header.

The header class http_authentication_info_class defines how a HTTP Authentication-Info header is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_authentication_info_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.